oath_totp_validate(3)

NAME
oath_totp_validate - API function

SYNOPSIS
#include <oath.h>

int oath_totp_validate(const char * secret, size_t secret_length, time_t now, unsigned time_step_size, time_t start_offset, size_t window, const char * otp);

ARGUMENTS

const char * secret
    the shared secret string

size_t secret_length
    length of secret

time_t now
    Unix time value to validate TOTP for

unsigned time_step_size
    time step system parameter (typically 30)

time_t start_offset
    Unix time of when to start counting time steps (typically 0)

size_t window
    how many OTPs after/before start OTP to test

const char * otp
    the OTP to validate.

DESCRIPTION
Validate an OTP according to OATH TOTP algorithm per RFC 6238.

Currently only OTP lengths of 6, 7 or 8 digits are supported. This restrictions may be lifted in future versions, although some limitations are inherent in the protocol.

RETURNS
Returns absolute value of position in OTP window (zero is first position), or OATH_INVALID_OTP if no OTP was found in OTP window, or an error code.

SINCE
1.6.0

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. liboath home page: https://www.nongnu.org/oath-toolkit/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2009-2020 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.